.menu {
  margin-left: 30px;
  margin-top: 30px;
}

.menu .menu-faketrigger {
  position: absolute;
  z-index: 1000;
  width: 35px;
  height: 35px;
  opacity: 0;
  cursor: pointer;
}

.menu .menu-list {
  position: absolute;
  z-index: 999;
  width: 35px;
  height: 35px;

}

.menu .menu-list span {
  display: block;
  width: 35px;
  height: 5px;
  margin-bottom: 10px;
  background-color: black;
  border-radius: 3px;
  transition: all ease .2s;
}

.menu .menu-faketrigger:checked~.menu .menu-list span {
  background-color: aliceblue;
}

.menu .menu-faketrigger:checked~.menu .menu-list span:nth-child(1) {
  transform-origin: 0% 0%;
  transform: rotate(45deg) scaleX(1.25);
}

.menu .menu-faketrigger:checked~.menu .menu-list span:nth-child(2) {
  opacity: 0;
}

.menu .menu-faketrigger:checked~.menu .menu-list span:nth-child(3) {
  transform-origin: 0% 100%;
  transform: rotate(-45deg) scaleX(1.25);
}

.menu ul {
  position: absolute;
  z-index: 998;
  left: 0;
  top: 0;
  padding: 100px;
  width: 300px;
  height: calc(100vh - 100px);
  background-color: rgb(49, 48, 48);
  margin-left: -600px;
  transition: all ease .2s;
}

.menu .menu-faketrigger:checked~ul {
  margin-left: 0;
}

.menu ul li {
  padding: 10px 30px;
}

.menu ul li a {
  text-decoration: none;
  color: #ffffff;
  font-size: 22px;
  transition: all ease .3s;
}

.menu ul li a:hover {
  color: #bcbbbb;
}

.maps {
  position:absolute;
  top: 0;
  z-index: 0;
  display: flex;
  width: 100vw;
  height: 96vh;
}

.map-title {
  width: 26%;
  text-align: center;
  display: block;
  font-size:22px;
  position: absolute;
  z-index: 1000;
  background-color: rgba(255, 255, 255, 0.80);
  margin-top: 12px;
  padding: 10px;
  border: 2px solid rgba(0,0,0,0.25);
  border-radius: 5px;
  align-self: center;
}

#legend {
  display: block;
}

.footer {
  position: absolute;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  color: #333;
  height: 4vh;
  width: 100vw;
  margin-left: auto auto;
  background-color: #fff;
  font-family: monospace;
}

section {
  display: flex !important;
  flex-direction: column;
}

input[type="text"] {
  position: absolute;
  right: 10px;
  top: 15px;
  z-index: 1;
  background: #fff;
  color: #333;
  font-family: monospace;
  cursor: pointer;
  height: auto;
  width: 250px;
  border: 2px solid rgba(0,0,0,0.45);
  border-radius: 5px;
  padding: 10px;
}

#tag {
  position: absolute;
  right: 10px;
  top: 65px;
  z-index: 1;
  background: #fff;
  color: #333;
  font-family: monospace;
  cursor: pointer;
  height: auto;
  width: 250px;
  border: 2px solid rgba(0,0,0,0.45);
  border-radius: 5px;
  padding: 10px;
}

#button {
  position: absolute;
  right: 10px;
  top: 115px;
  z-index: 1;
  background: #333;
  color: #fff;
  font-family: monospace;
  cursor: pointer;
  height: auto;
  width: 250px;
  border-radius: 5px;
  padding: 10px;
}


.leaflet-control-layers-list {
  font-size: 16px;
  padding: 18px;
}